## artikulate 16.04.3

=== debian/changelog ===
artikulate (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * This application is now kf5 adding stable/unstable branches. 
  * New upstream release. 
  * Seems to be defaulting the install to «PKGBUILDDIR»/debian/artikulate
    Which makes dh_install go boom, setting the install to tmp/debian in
    rules file. 
  * Add missing file to install. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release. 

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:44:38 +0200

artikulate (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:23 +0100

=== debian/control ===
Source: artikulate
Section: education
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5crash-dev (>= 5.24.0~),
               libkf5declarative-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libqt5gstreamer-dev (>= 1.2.0),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate

Package: artikulate
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-org-kde-kquickcontrolsaddons,
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

## artikulate 16.08.3

=== debian/changelog ===
artikulate (4:16.08.3-1) unstable; urgency=medium

  * Replace dbus-launch with dbus-run-session in tests.
    Thanks to Simon McVittie (Closes: 835832)
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:48:51 +0100

artikulate (4:16.08.2-1) unstable; urgency=medium

  * Add qtmultimedia5-dev build dependency

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 21:30:47 +0200

artikulate (4:16.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place:
    - manually remove the files (only development .so symbols) that are not
      wanted in the binary
    - remove artikulate.install, no more used now
    - remove not-installed file, no more useful now
  * Update lintian overrides.
  * Raise priority from extra to optional, just like the rest of KDE
    applications.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Aug 2016 06:38:45 +0200

artikulate (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 20:54:31 +0200

artikulate (4:16.04.1-3) unstable; urgency=medium

  * Document that depends on qml-module-org-kde-kquickcontrolsaddons was added
    in the previous upload as well (Closes: #815029)
  * Add depends on kio so downloading works on non-plasma based systems
    (Closes: #815030)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 29 May 2016 03:17:12 -0400

artikulate (4:16.04.1-2) unstable; urgency=medium

  * Add missing runtime dependency (qml-module-qtqml-models2)
    Thanks to Andreas Cord-Landwehr for the fix

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 May 2016 18:14:17 +0200

artikulate (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop testsuite dependency on experimental package libqt5xcbqpa5
  * Update install files
  * Add missing test dependency on the qt5 sqlite driver

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 00:34:10 +0200

=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kdoctools-dev,
               libkf5archive-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5newstuff-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqt5gstreamer-dev (>= 1.2.0),
               libqt5xmlpatterns5-dev (>= 5.5~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.5~),
               qtdeclarative5-dev (>= 5.5~),
               qtmultimedia5-dev
Standards-Version: 3.9.8
Homepage: https://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/artikulate.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/artikulate.git

Package: artikulate
Architecture: any
Depends: kio,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtqml-models2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command)
	# remove development symlinks
	find debian/artikulate -name '*.so' -type l -exec rm -v {} \;

override_dh_strip:
	$(overridden_command) --dbgsym-migration='artikulate-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Disable autotests at build time
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/artikulate-([\d.]+)\.tar\.xz

## artikulate 16.12.3

=== debian/changelog ===
artikulate (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:26 +0000

artikulate (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:16:04 +0000

=== debian/control ===
Source: artikulate
Section: education
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5gstreamer-dev (>= 1.2.0),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtmultimedia5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate

Package: artikulate
Architecture: any
Depends: qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='artikulate-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	# Disable autotests at build time
	:

## artikulate 17.04.3

=== debian/changelog ===
artikulate (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install usr/share/locale
  * Add kde-l10n Breaks/Replaces
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:31:28 +0100

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,8 @@
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Language learning application
  Artikulate is a language learning application that helps improving
  pronunciation skills for various languages. This is included in the

=== debian/tests/control ===
Tests: testsuite
Depends: @, cmake, libqt5test5, libqt5xcbqpa5, debhelper, build-essential,
         xvfb, xauth, dbus-x11
Restrictions: build-needed

# Tests: acc
# Depends: @,
#          dh-acc, exuberant-ctags
# Restrictions: allow-stderr

## artikulate 17.08.3

=== liblearnerprofile/CMakeLists.txt ===

ecm_optional_add_subdirectory(src)
ecm_optional_add_subdirectory(autotests)

=== debian/changelog ===
artikulate (4:17.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 10:57:35 +0800

artikulate (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Drop the manual kde-l10n-ast, and kde-l10n-eo breaks/replaces, as they are
    included in ${kde-l10n:all} already

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 08:22:51 +0100

artikulate (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * testsuite: use a trap for cleanup
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:12 +0200

artikulate (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:44 +0000

artikulate (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:09 +0000

artikulate (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:28 +0000

artikulate (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:07:13 +0000

artikulate (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:01:58 +0000

artikulate (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:45:39 +0000

artikulate (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:54:42 +0000

artikulate (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:44 +0000

artikulate (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:21:51 +0000

artikulate (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:47 +0000

artikulate (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:13 +0000

artikulate (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:54 +0000

artikulate (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 24 Aug 2016 13:21:11 +0000

artikulate (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:43 +0000

artikulate (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:09:17 +0000

=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               libkf5archive-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5newstuff-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqt5gstreamer-dev (>= 1.2.0),
               libqt5xmlpatterns5-dev (>= 5.5~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.5~),
               qtdeclarative5-dev (>= 5.5~),
               qtmultimedia5-dev,
Standards-Version: 4.1.1
Homepage: https://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/artikulate.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/artikulate.git

Package: artikulate
Architecture: any
Depends: kio,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtqml-models2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#

l10npkgs_firstversion_ok := 4:16.04.3-5~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command)
	# remove development symlinks
	find debian/artikulate -name '*.so' -type l -exec rm -v {} \;

override_dh_strip:
	$(overridden_command) --dbgsym-migration='artikulate-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Disable autotests at build time
	:

## artikulate 17.12.3

=== images/CMakeLists.txt ===
###
#  Copyright 2013  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

FILE(GLOB images *.png)
install(FILES ${images} DESTINATION ${DATA_INSTALL_DIR}/artikulate/images)

=== libsound/CMakeLists.txt ===

ecm_optional_add_subdirectory(src)

=== src/CMakeLists.txt ===
###
#  Copyright 2013-2015  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

ecm_setup_version(0.6.50
    VARIABLE_PREFIX ARTIKULATE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/ArtikulateConfigVersion.cmake"
)

ecm_optional_add_subdirectory(qml)

# set include directories
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${artikulate_SOURCE_DIR}
)

# set the source code files from which Artikulate is compiled
set(artikulateCore_SRCS
    core/course.cpp
    core/resourcemanager.cpp
    core/language.cpp
    core/phrase.cpp
    core/phoneme.cpp
    core/phonemegroup.cpp
    core/unit.cpp
    core/skeleton.cpp
    core/editorsession.cpp
    core/trainingsession.cpp
    core/resources/resourceinterface.cpp
    core/resources/languageresource.cpp
    core/resources/courseresource.cpp
    core/resources/skeletonresource.cpp
    core/player.cpp
    core/recorder.cpp

    qmlcontrols/iconitem.cpp
    qmlcontrols/imagetexturescache.cpp
    qmlcontrols/managedtexturenode.cpp

    artikulate_debug.cpp
)

kconfig_add_kcfg_files (artikulateCore_SRCS settings.kcfgc)
add_library(artikulatecore SHARED ${artikulateCore_SRCS})
generate_export_header(artikulatecore BASE_NAME artikulatecore)
target_link_libraries(artikulatecore
    LINK_PUBLIC
        artikulatelearnerprofile
        artikulatesound
        Qt5::XmlPatterns
        Qt5::Quick
        KF5::Archive
        KF5::ConfigGui
)
# internal library without any API or ABI guarantee
set(GENERIC_LIB_VERSION "0")
set(GENERIC_LIB_SOVERSION "0")
set_target_properties(
    artikulatecore PROPERTIES
    VERSION ${GENERIC_LIB_VERSION}
    SOVERSION ${GENERIC_LIB_SOVERSION}
)
install(
    TARGETS artikulatecore
    DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS}
)
install(FILES artikulate.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR})

# set the source code files from which Artikulate is compiled
set(artikulate_SRCS
    main.cpp
    mainwindow.cpp
    application.cpp
    artikulate_debug.cpp

    models/coursemodel.cpp
    models/coursefiltermodel.cpp
    models/languagemodel.cpp
    models/languageresourcemodel.cpp
#     models/learningprogressmodel.cpp //TODO must be adapted to new trainingsession
    models/unitmodel.cpp
    models/unitfiltermodel.cpp
    models/phrasemodel.cpp
    models/phraselistmodel.cpp
    models/phrasefiltermodel.cpp
    models/phonememodel.cpp
    models/phonemegroupmodel.cpp
    models/phonemeunitmodel.cpp
    models/profilemodel.cpp
    models/skeletonmodel.cpp

    ui/sounddevicedialogpage.cpp
    ui/appearencedialogpage.cpp
    ui/resourcesdialogpage.cpp
)
ki18n_wrap_ui (artikulate_SRCS
    ui/resourcesdialogpage.ui
    ui/sounddevicedialogpage.ui
    ui/appearencedialogpage.ui
)
qt5_add_resources(artikulate_SRCS qml/qml.qrc)
kconfig_add_kcfg_files (artikulate_SRCS settings.kcfgc)

set(artikulate_editor_SRCS
    main_editor.cpp
    mainwindow_editor.cpp
    application.cpp
    artikulate_debug.cpp

    models/coursemodel.cpp
    models/coursefiltermodel.cpp
    models/languagemodel.cpp
    models/languageresourcemodel.cpp
#     models/learningprogressmodel.cpp //TODO must be adapted to new trainingsession
    models/unitmodel.cpp
    models/unitfiltermodel.cpp
    models/phrasemodel.cpp
    models/phraselistmodel.cpp
    models/phrasefiltermodel.cpp
    models/phonememodel.cpp
    models/phonemegroupmodel.cpp
    models/phonemeunitmodel.cpp
    models/profilemodel.cpp
    models/skeletonmodel.cpp

    ui/sounddevicedialogpage.cpp
    ui/appearencedialogpage.cpp
    ui/resourcesdialogpage.cpp
    ui/exportghnsdialog.cpp
)
ki18n_wrap_ui (artikulate_editor_SRCS
    ui/appearencedialogpage.ui
    ui/exportghnsdialog.ui
    ui/resourcesdialogpage.ui
    ui/sounddevicedialogpage.ui
)
qt5_add_resources(artikulate_editor_SRCS qml/qml.qrc)
kconfig_add_kcfg_files (artikulate_editor_SRCS settings.kcfgc)

# executables
add_executable(artikulate ${artikulate_SRCS})
target_link_libraries(artikulate
    LINK_PUBLIC
        artikulatelearnerprofile
        artikulatesound
        artikulatecore
        Qt5::Qml
        Qt5::Quick
        KF5::Crash
        KF5::NewStuff
        KF5::XmlGui
)

qt5_add_resources(artikulate_editor_SRCS editor.qrc)
add_executable(artikulate_editor ${artikulate_editor_SRCS})
target_link_libraries(artikulate_editor
    LINK_PUBLIC
        artikulatesound
        artikulatecore
        Qt5::Qml
        Qt5::Quick
        Qt5::QuickWidgets
        KF5::Crash
        KF5::NewStuff
        KF5::XmlGui
)

install(FILES artikulate.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(TARGETS artikulate ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS artikulate_editor ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libsound/src/qtmultimediabackend/CMakeLists.txt ===
###
# Copyright 2016  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

find_package(Qt5Multimedia REQUIRED)

set(qtmultimediabackend_SRCS
    qtmultimediabackend.cpp
    qtmultimediacapturebackend.cpp
    qtmultimediaoutputbackend.cpp
    ../libsound_debug.cpp
)

add_library(qtmultimediabackend MODULE ${qtmultimediabackend_SRCS})

target_link_libraries(
    qtmultimediabackend
    LINK_PUBLIC
        artikulatesound
        Qt5::Multimedia
        KF5::CoreAddons
)

install(TARGETS qtmultimediabackend DESTINATION ${PLUGIN_INSTALL_DIR}/artikulate/libsound)

=== debian/changelog ===
artikulate (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:09 +0000

artikulate (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:54:19 +0000

artikulate (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Fix autopkgtest fixing its depends.

  [ Rik Mills ]
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:34 +0000

=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5gstreamer-dev (>= 1.2.0),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtmultimedia5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate

Package: artikulate
Architecture: any
Depends: qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='artikulate-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	# Disable autotests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, xvfb, xauth, dbus-x11, libqt5sql5-sqlite
Restrictions: build-needed

# Tests: acc
# Depends: @,
#          dh-acc, exuberant-ctags
# Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/artikulate-([\d.]+)\.tar\.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/artikulate-([\d.]+)\.tar\.xz

## artikulate 18.04.3

=== debian/changelog ===
artikulate (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:13:15 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-               qtmultimedia5-dev (>= 5.6.1~)
+               qtmultimedia5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate

## artikulate 18.12.3

=== debian/changelog ===
artikulate (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:24:00 +0000

artikulate (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:11:29 +0000

artikulate (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:14 +0000

artikulate (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:00 +0000

artikulate (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Extra qml runtime deps.
    - Kubuntu Vcs fields.
    - Keep our autotest setup.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 16 Dec 2018 23:00:58 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: cmake (>= 3.0.0~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
+               libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -21,20 +22,22 @@
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                qtmultimedia5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Homepage: https://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
 
 Package: artikulate
 Architecture: any
-Depends: qml-module-org-kde-kquickcontrolsaddons,
+Depends: kio,
+         qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-qtqml-models2,
          qml-module-qtquick-controls,
          qml-module-qtquick-layouts,
          ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
+         ${shlibs:Depends},
+Breaks: ${kde-l10n:all},
+Replaces: ${kde-l10n:all},
 Description: Language learning application
  Artikulate is a language learning application that helps improving
  pronunciation skills for various languages. This is included in the

## artikulate 19.04.3

=== debian/changelog ===
artikulate (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:09:43 +0100

artikulate (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:57:50 +0100

artikulate (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:53:48 +0100

artikulate (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:39:05 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command)
	# remove development symlinks
	find debian/artikulate -name '*.so' -type l -exec rm -v {} \;

override_dh_strip:
	$(overridden_command) --dbgsym-migration='artikulate-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Disable autotests at build time
	:

## artikulate 19.12.2

=== debian/changelog ===
artikulate (4:19.12.2-1) unstable; urgency=medium

  * Team upload.
  * Drop patch fix-download-page-background, merged upstream.
  * New upstream minor release (19.12.2).
  * Bump Standards-Versions to 4.5.0 (no change needed).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 08 Feb 2020 16:10:54 +0100

artikulate (4:19.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update debian/watch to point to new KDE release service URL.
  * New upstream release (19.12.1).
  * Update build dependencies according to upstream build system:
    - cmake >= 3.5.0
    - kf5 >= 5.57.0
    - drop libkf5xmlgui-dev, add kirigami2-dev
  * Add runtime dependencies to libqt5multimedia5-plugins,
    qml-module-qtquick-shapes, qml-module-org-kde-kirigami2,
    qml-module-org-kde-newstuff, qml-module-qtquick-controls to ensure it
    also works on non-KDE desktops.
  * Review of debian/copyright.
  * Update upstream project homepage URL.
  * Switch Vcs-* fields to salsa.debian.org.
  * Replace debian/compat with debhelper-compat build dependency, bump
    compatibility level to 12.
  * Borrow minimal upstream signing key from k3b.
  * Bump Standards-Versions to 4.4.1:
    - Add Rules-Requires-Root: no to debian/control.
  * Drop l10n migration rules not needed anymore after 2 stable releases.
  * Drop dbgsym migration rules not needed anymore after 2 stable releases.
  * Switch from dhmk to dh --with kf5.
  * Reactivate build-time tests, xvfb-run required GUI related tests.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    package.
  * Add hardening=+all build hardening flags.
  * Add patch to install private libraries into a private lib subfolder.
  * Add patch to fix download page when using a dark theme.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 Jan 2020 23:37:24 +0100

=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.57.0~),
               kirigami2-dev (>= 5.57.0~),
               libkf5archive-dev (>= 5.57.0~),
               libkf5config-dev (>= 5.57.0~),
               libkf5configwidgets-dev (>= 5.57.0~),
               libkf5crash-dev (>= 5.57.0~),
               libkf5declarative-dev (>= 5.57.0~),
               libkf5doctools-dev (>= 5.57.0~),
               libkf5i18n-dev (>= 5.57.0~),
               libkf5newstuff-dev (>= 5.57.0~),
               libkf5widgetsaddons-dev (>= 5.57.0~),
               libqt5gstreamer-dev (>= 1.2.0),
               libqt5xmlpatterns5-dev (>= 5.11.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtmultimedia5-dev (>= 5.11.0~),
# For running tests
               xauth,
               xvfb,
               libqt5sql5-sqlite (>= 5.11.0~),
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/education/org.kde.artikulate
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
Rules-Requires-Root: no

Package: artikulate
Architecture: any
Depends: kio,
         libqt5multimedia5-plugins,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-newstuff,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.
